Subject: Re: [PATCH v4 07/20] test-read-cache: print cache entries with --table

From: Junio C Hamano <[email-masked]>
Date: Mon, 29 Mar 2021 14:44:10 -0700

Derrick Stolee <[email-masked]> writes:

> I think changing 'ls-files' before the sparse index has stabilized is
> premature. I said that a series like the RFC you sent would be
> appropriate after this concept is more stable. I do _not_ recommend
> trying to juggle it on top of the work while the patches are in flight.

I do not have a problem with either of approaches to help debugging
(i.e. extending "ls-files --debug" or a new test helper), but I am
curious to be reminded what the plan for "git ls-files [-s]" output
is, when run in a repository in which sparse cone checkout is used.

Do we see trees and paths outside the cone omitted, or does the act
of running "ls-files" dehydrate the trees into their constituent
blobs?

Thanks.